geos::geom::prep::PreparedPolygonIntersects Class Reference

Computes the intersects spatial relationship predicate for `PreparedPolygon`s relative to all other `Geometry` classes. More...

`#include <PreparedPolygonIntersects.h>`

Inheritance diagram for geos::geom::prep::PreparedPolygonIntersects:

## Public Member Functions

| PreparedPolygonIntersects (const PreparedPolygon *const prep)
| Creates an instance of this operation.
bool | intersects (const geom::Geometry *geom)
| Tests whether this PreparedPolygon intersects a given geometry.
Public Member Functions inherited from geos::geom::prep::PreparedPolygonPredicate
| PreparedPolygonPredicate (const PreparedPolygon *const p_prepPoly)
| Creates an instance of this operation.

## Static Public Member Functions

static bool | intersects (const PreparedPolygon *const prep, const geom::Geometry *geom)
| Computes the intersects predicate between a `PreparedPolygon` and a `Geometry`.

## Additional Inherited Members

Protected Member Functions inherited from geos::geom::prep::PreparedPolygonPredicate
geom::Location | getOutermostTestComponentLocation (const geom::Geometry *testGeom) const
| Returns the outermost Location among a test point from each components of the test geometry.
bool | isAllTestComponentsInTargetInterior (const geom::Geometry *testGeom) const
| Tests whether all components of the test Geometry are contained in the interior of the target geometry.
bool | isAnyTestComponentInTarget (const geom::Geometry *testGeom) const
| Tests whether any component of the test Geometry intersects the area of the target geometry.
bool | isAnyTestComponentInTargetInterior (const geom::Geometry *testGeom) const
| Tests whether any component of the test Geometry intersects the interior of the target geometry.
bool | isAnyTargetComponentInAreaTest (const geom::Geometry *testGeom, const std::vector< const geom::CoordinateXY * > *targetRepPts) const
Protected Attributes inherited from geos::geom::prep::PreparedPolygonPredicate
const PreparedPolygon *const | prepPoly

## Detailed Description

Computes the intersects spatial relationship predicate for `PreparedPolygon`s relative to all other `Geometry` classes.

Uses short-circuit tests and indexing to improve performance.

Author
  Martin Davis

## Constructor & Destructor Documentation

## PreparedPolygonIntersects()

geos::geom::prep::PreparedPolygonIntersects::PreparedPolygonIntersects | ( | const PreparedPolygon *const | prep | ) |

inline

Creates an instance of this operation.

Parameters

  prep | the PreparedPolygon to evaluate

Referenced by intersects().

## Member Function Documentation

## intersects() [1/2]

bool geos::geom::prep::PreparedPolygonIntersects::intersects | ( | const geom::Geometry * | geom | ) |

Tests whether this PreparedPolygon intersects a given geometry.

Parameters

  geom | the test geometry

Returns
  true if the test geometry intersects

## intersects() [2/2]

bool geos::geom::prep::PreparedPolygonIntersects::intersects | ( | const PreparedPolygon *const | prep,
|  | const geom::Geometry * | geom )

inline static

Computes the intersects predicate between a `PreparedPolygon` and a `Geometry`.

Parameters

  prep | the prepared polygon
  geom | a test geometry

Returns
  true if the polygon intersects the geometry

References intersects(), and PreparedPolygonIntersects().

Referenced by intersects().

The documentation for this class was generated from the following file:

- PreparedPolygonIntersects.h